Bug 125168 - CAN-2004-0535 e1000 kernel memory information leak
CAN-2004-0535 e1000 kernel memory information leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-03 08:28 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 18:36:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for e1000 kernel mem leak (652 bytes, patch)
2004-06-03 08:30 EDT, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-03 08:28:04 EDT
According to
http://www.kernel.org/pub/linux/kernel/v2.4/testing/patch-2.4.27.log a
recent kernel fix was applied "e1000: fix probable security hole".

This issue in fact is a minor information leak via the e1000 driver
that can reveal 24 bytes of kernel memory to users (if e1000 driver is
loaded)

Note that a number of security databases have incorrect information
regarding this issue.  Originally, ISS said this was a privilege
escalation vulnerability: http://xforce.iss.net/xforce/xfdb/16159 
They have since updated this page to explain that it is an information
leak, but there are still remnants of the old content viewable (the
page still erroneously lists the vulnerability as "high priority" and
with "gain privileges" consequences)

No CVE name yet available
Comment 1 Mark J. Cox (Product Security) 2004-06-03 08:30:09 EDT
Created attachment 100821 [details]
Patch for e1000 kernel mem leak
Comment 2 Mark J. Cox (Product Security) 2004-06-04 04:00:46 EDT
CAN-2004-0535
Comment 3 Ernie Petrides 2004-06-15 06:03:53 EDT
A fix for this problem has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.11.EL)
with the upgrade of the e1000 driver to version 5.2.52-k1
(which doesn't contain the mem leak addressed by comment #1).
Comment 4 Ernie Petrides 2004-07-31 02:00:08 EDT
A fix for this problem has also been committed to the RHEL3 E3
patch pool (in kernel version 2.4.21-15.0.4.EL).
Comment 5 Mark J. Cox (Product Security) 2004-08-03 18:36:26 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-413.html

Note You need to log in before you can comment on or make changes to this bug.